/*
 * Copyright (C) 2009  Axel Kesseler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#include "stdafx.h"

using namespace plexdata::critical;

// Initialize project globals.
HMODULE    g_hModule   = NULL;
CCritical* g_pCritical = NULL;

BOOL APIENTRY DllMain
	( HMODULE hModule
	, DWORD   dwReason
	, LPVOID  lpReserved
	)
{
	BOOL bResult = TRUE;

	switch( dwReason )
	{
	case DLL_PROCESS_ATTACH:
		{
			g_hModule   = hModule;
			g_pCritical = new CCritical();

			if ( g_pCritical == NULL )
			{
				bResult = FALSE; // Do not load the DLL if g_pCritical is unavailable!
			}
		}
		break;
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}

	return bResult;
}

// EOF