;// ********************************************************
;//
;// File:        messages.mc
;//
;// Author:      Axel Kesseler
;//
;// Date:        2009-09-05
;//
;// Description: This file defines message identifiers 
;//              to be used with class CEventlog.
;//
;// Creation:    1) Use command "mc.exe -U messages.mc" 
;//                 to compile this file.
;//              2) Use command "rc.exe -r messages.rc" 
;//                 to compile this file.
;//              3) Add following output files (messages.h, 
;//                 messages.res and msg00000.bin) to 
;//                 your project.
;//              4) Delete unneeded file 'messages.rc'.
;//
;// ********************************************************
;//
;// "C:\Program Files\Microsoft SDKs\Windows\v6.0A\Bin\x64\mc.exe" -U messages.mc
;// "C:\Program Files\Microsoft SDKs\Windows\v6.0A\Bin\x64\rc.exe" -r messages.rc
;//

MessageIdTypedef=DWORD

SeverityNames=(
    Success=0x0:STATUS_SEVERITY_SUCCESS
    Informational=0x1:STATUS_SEVERITY_INFORMATIONAL
    Warning=0x2:STATUS_SEVERITY_WARNING
    Error=0x3:STATUS_SEVERITY_ERROR
)

FacilityNames=(
    System=0x0:FACILITY_SYSTEM
    Runtime=0x2:FACILITY_RUNTIME
    Stubs=0x3:FACILITY_STUBS
    Io=0x4:FACILITY_IO_ERROR_CODE
)

LanguageNames=(Neutral=0x0000:msg00000)

MessageId=0x2A
Severity=Success
Facility=Application
SymbolicName=EVENTLOG_MESSAGE
Language=Neutral
%1
.

MessageId=0x2A
Severity=Warning
Facility=Application
SymbolicName=EVENTLOG_WARNING
Language=Neutral
%1
.

MessageId=0x2A
Severity=Error
Facility=Application
SymbolicName=EVENTLOG_ERROR
Language=Neutral
%1
.

MessageId=0x2A
Severity=Informational
Facility=Application
SymbolicName=EVENTLOG_DUMP
Language=Neutral
%1
.

