/*
 * Copyright (C) 2009  Axel Kesseler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#pragma once

typedef struct logHandle
{
	bool                        bTimestamp;
	bool                        bEnableLabel;
	plexdata::logging::COutput* pOutput;

} LOGHANDLE, *LPLOGHANDLE;


bool ConvertString
	( LPCSTR                     szString
	, plexdata::string::CString& strResult
	);


bool ConvertHandle
	( HANDLE       hLogger
	, LPLOGHANDLE& pLogger 
	);


bool GetTimestamp
	( plexdata::string::CString& strResult 
	);

bool ExpandSpecialCharacters
	( LPCTSTR                    szInput
	, plexdata::string::CString& strResult
	);

void PrepareOutput
	( plexdata::string::CString& strResult
	, LPLOGHANDLE                pLogger
	, LPCTSTR                    szOutput
	, LPCTSTR                    szLabel 
	);

// EOF