/*
 * Copyright (C) 2009  Axel Kesseler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#include "targetver.h"

#define WIN32_LEAN_AND_MEAN // Excludes rarely-used stuff from Windows headers.

// Windows header files.
#include <windows.h>

// Debug check macros.
#include <crtdbg.h>

// Project includes.
#include "output.h"
#include "string.h"
#include "logapi.h"
#include "helper.h"
#include "critical.h"

// Project globals.
extern HMODULE g_hModule;
extern plexdata::critical::CCritical* g_pCritical;

// EOF
